textures/terrain_soc/rock_brown2
{
	qer_editorimage textures/terrain_soc/rock_brown2.tga
	
	q3map_nonplanar
	q3map_shadeAngle 75
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/terrain_soc/rock_brown2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/4riwa/e7sbrickfloor
{
	qer_editorimage textures/e7/e7sbrickfloor.tga
	{
		tcgen lightmap
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{

		map textures/e7/e7sbrickfloor.tga
		blendFunc filter
		rgbGen identity
	}
}

textures/medieval_soc/stone1
{
	qer_editorimage textures/medieval_soc/stone1.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/medieval_soc/stone1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/sockter/ter_dirt1	// Used around ruins
{
	q3map_nonplanar
	q3map_shadeangle 120
        qer_editorimage textures/sockter/ter_dirt1.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sockter/ter_dirt1.tga
		blendFunc filter
	}
}

textures/medieval_soc/stone2
{
	qer_editorimage textures/medieval_soc/stone2.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/medieval_soc/stone2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/terrain_soc/rock_grey2
{
	qer_editorimage textures/terrain_soc/rock_grey2.tga
	
	q3map_nonplanar
	q3map_shadeAngle 75
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/terrain_soc/rock_grey2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/medieval_soc/wood_browndark
{
	qer_editorimage textures/medieval_soc/wood_browndark.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/medieval_soc/wood_browndark.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/e7/e7trim01
{
	{
		map textures/e7/e7trim01.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/detail/d_met2.tga
		blendfunc gl_dst_color gl_src_color
		tcMod scale 4 2
		detail
	}
}

textures/4riwa/e7brickfloor01
{
	qer_editorimage textures/e7/e7brickfloor01.tga
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	q3map_styleMarker
	{
		map textures/e7/e7brickfloor01.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/detail/d_stone.tga
		blendfunc gl_dst_color gl_src_color
		tcMod scale 4.7 5.5
		detail
	}
}

textures/sfx/flame1_hell
{
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 600
	

	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

textures/e7/e7bricks01
{
	{
		map textures/e7/e7bricks01.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/detail/d_rock.tga
		blendfunc gl_dst_color gl_src_color
		tcMod scale 8 8
		detail
	}
}

textures/4riwa/pewter_shiney
{
        {
                map textures/4riwa/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/4riwa/pewter_shiney.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/e7/e7brickfloor01jump
{
	qer_editorimage textures/e7/e7brickfloor01jump.tga
	q3map_lightimage textures/e7/e7brickfloor01jump_glow.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/e7/e7brickfloor01jump.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/e7/e7brickfloor01jump_glow.tga
		blendfunc add
		rgbGen wave sin 0.5 0.8 0 1.5 
	}
}

textures/sfx/hellfog
{
	qer_editorimage textures/sfx/hellfog.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	fogparms ( .55 .11 .1 ) 300

	
	{
		map textures/liqui71/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/liqui71/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/terrain_soc/ter_moss1wall
{
	qer_editorimage textures/terrain_soc/ter_moss1wall.tga
	
	q3map_nonplanar
	q3map_shadeAngle 75
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/terrain_soc/ter_moss1wall.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sfx/flame1side
{	
		surfaceparm trans
		surfaceparm nomarks
		surfaceparm nonsolid
	
		surfaceparm nolightmap
		cull none

	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}
